#include<stdio.h>
#include<stdlib.h>
#include<string.h>
    int main()
{
    long int n, x, z, y, i, r;
    scanf("%ld%ld", &n, &x); 
    z = x;
    int niz[n + 1];
    for (i = 0; i < n; i++)
    {
        scanf("%ld", &y);
        niz[i] = y;
        if (z == y){
            r = i;
        }
        if (i == 0){
            niz[n + 1] = y;
        }
    }
if ((n - 1) == r){

    printf("%d", niz[0]);
}
else{
    printf("%d", niz[r + 1]);
}
     
}